Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface Graphic

    @XmlElement(value="Graphic")
    public interface Graphic

Not to be confused with GO-1's Graphic, this represents a little picture, such as a GIF or JPG, that can be used in rendering. Multiple little pictures can be overlayed at the same spot.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`List<ExternalGraphicOrMark>` | `getExternalGraphicOrMark()` Returns the list of external image files or marks that comprise this graphic.
`Expression` | `getOpacity()` Returns the expression that will be evaluated to determine the opacity of the graphic when it is rendered.
`Expression` | `getRotation()` Returns the expression that will be used to calculate the rotation of the graphic when it is drawn.
`Expression` | `getSize()` Returns the expression that will be evaluated to determine the pixel height of the image when it is drawn on the screen.
`void` | `setOpacity(Expression opacityExpression)` Sets the expression that will be evaluated to determine the opacity of the graphic when it is rendered.
`void` | `setRotation(Expression rotationExpression)` Sets the expression that will be used to calculate the rotation of the graphic when it is drawn.
`void` | `setSize(Expression sizeExpression)` Sets the expression that will be evaluated to determine the pixel height of the image when it is drawn on the screen.

Method Detail

### getExternalGraphicOrMark

    @XmlElement(value="ExternalGraphic,Mark")
    List<ExternalGraphicOrMark> getExternalGraphicOrMark()

  Returns the list of external image files or marks that comprise this graphic. The returned list is "live" and can be modified by the user. All elements of the list must be instances of either `Mark` or `ExternalGraphic`.

### getOpacity

    @XmlElement(value="Opacity")
    Expression getOpacity()

  Returns the expression that will be evaluated to determine the opacity of the graphic when it is rendered. This may return null if the graphic is to be rendered completely opaque. The opacity value must range from 0.0 to 1.0, with 0.0 being completely transparent and 1.0 being completely opaque.

### setOpacity

    @XmlElement(value="Opacity")
    void setOpacity(Expression opacityExpression)

  Sets the expression that will be evaluated to determine the opacity of the graphic when it is rendered. See `getOpacity()` for details.

### getSize

    @XmlElement(value="Size")
    Expression getSize()

  Returns the expression that will be evaluated to determine the pixel height of the image when it is drawn on the screen. This can return null if the inherent size of the image is to be used. If a size expression is specified, then the height is scaled to the result and the width is scaled according to the aspect ratio of the original image. Some image types, such as SVG or CGM, may not have an inherent pixel size. For such images, the default size is 16 pixels.

### setSize

    @XmlElement(value="Size")
    void setSize(Expression sizeExpression)

  Sets the expression that will be evaluated to determine the pixel height of the image when it is drawn on the screen. See `getSize()` for details.

### getRotation

    @XmlElement(value="Rotation")
    Expression getRotation()

  Returns the expression that will be used to calculate the rotation of the graphic when it is drawn. The value is interpreted as a rotation in decimal degrees clockwise about the center point of the image.

### setRotation

    @XmlElement(value="Rotation")
    void setRotation(Expression rotationExpression)

  Sets the expression that will be used to calculate the rotation of the graphic when it is drawn. See `getRotation()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.